# Uses of Interface
org.eclipse.equinox.p2.core.IPool

Packages that use IPool
Package
Description
org.eclipse.equinox.p2.core
Provides core support for interacting with a p2-based provisioning system
org.eclipse.equinox.p2.repository.metadata
Defines metadata repository.
org.eclipse.equinox.p2.repository.metadata.spi
Defines SPI for registering new implementations of metadata repositories.

## Uses of IPool in org.eclipse.equinox.p2.core

Classes in org.eclipse.equinox.p2.core that implement IPool
Modifier and Type
Class
Description
`class`
`StrongPool<T>`
An object pool backed by strong references.
`class`
`WeakPool<T>`
An object pool backed by weak references.

## Uses of IPool in org.eclipse.equinox.p2.repository.metadata

Methods in org.eclipse.equinox.p2.repository.metadata with parameters of type IPool
Modifier and Type
Method
Description
`void`
IMetadataRepository.`compress(IPool<IInstallableUnit> iuPool)`
Cause semantically equivalent IInstallableUnits in the receiver to be replaced with a shared object from the provided `IPool`.

## Uses of IPool in org.eclipse.equinox.p2.repository.metadata.spi

Methods in org.eclipse.equinox.p2.repository.metadata.spi with parameters of type IPool
Modifier and Type
Method
Description
`void`
AbstractMetadataRepository.`compress(IPool<IInstallableUnit> iuPool)`